Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There are missing totals for Total estimated time and Total spent time.

The totals are also very useful as they allow to build nice project overview, e.g. show only root items and see/summarize all the effort

without getting into details.

Related issues:

Related to Redmine - Feature #24181: Add grand total of overall spent time on... New

Has duplicate Redmine - Feature #24067: Total Estimated Time should be availa... Closed

Has duplicate Redmine - Feature #25112: In Ticket-Queries the "new" field "to... Closed

History

#1 - 2015-12-07 20:39 - Sebastian Paluch

...and totals for those columns should not sum up values from children (if on the list) as those are already included in the parent total

#2 - 2015-12-07 21:44 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Missing totals for Total estimated time and Total spent time to Totals for Total estimated time and Total spent time

#3 - 2017-01-06 15:47 - Mischa The Evil

- Related to Feature #24181: Add grand total of overall spent time on queries added

#4 - 2017-01-06 15:50 - Mischa The Evil

- Has duplicate Feature #24067: Total Estimated Time should be available on Totals options added

#5 - 2017-03-13 05:34 - Toshi MARUYAMA

- Category changed from UI to Issues list

#6 - 2017-03-13 05:35 - Toshi MARUYAMA

- Has duplicate Feature #25112: In Ticket-Queries the "new" field "total spent time" is forgotten as totals-checkmark - see screenshot added

#7 - 2017-06-08 22:32 - Valdir Stiebe Junior

- File Add Total Estimated Time on Group Options.patch added

Here is a patch I created to add the Total Estimated Time field on issues queries groups for version planning purposes.

I'm using redmine version 3.3.0.stable.50.

#8 - 2017-09-13 02:11 - Jonathan Vargas

- File Selection_514.png added

Verified against Redmine 3.4.2, yet reproduces.

We will really love this feature

#9 - 2021-06-03 23:54 - Michael Lanz

Can you tell me if this feature will be realized?
#10 - 2022-03-24 10:08 - Alexandr Chernyaev

+1

Files

Add Total Estimated Time on Group Options.patch 1.51 KB 2017-06-08 Valdir Stiebe Junior

Selection_514.png 189 KB 2017-09-13 Jonathan Vargas
